from pydantic import BaseModel
from pydantic.types import Optional


class Document(BaseModel):
    name: str
    data: Optional[str]


class DocumentUpdate(BaseModel):
    name: Optional[str]
    access: Optional[list]
    public: Optional[bool]
    data: Optional[str]


class Access(BaseModel):
    username: Optional[str]
    access_type: Optional[str]
