import * as React from "react";

function CreateIcon({fill = "#6C7281", ...rest}) {
    return (
        <svg
            width={24}
            height={24}
            fill="none"
            viewBox="0 0 16 16"
            xmlns="http://www.w3.org/2000/svg"
            {...rest}
        >
            <path
                d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"
                fill={fill}
            />
        </svg>
    );
}

export default CreateIcon;
